Автор Тема: [РЕШЕН]Проблем с модул LINUX MINT 9  (Прочетена 2858 пъти)

kalinik

  • Участник
  • *****
  • Публикации: 539
  • Distribution: LMDE x64 2012/ LM 14 x64
  • Window Manager: Mate / KDE
  • ID user #521433
    • Профил
Привет,
имам един дразнещ проблем от няколко дни и не мога да се оправя.Става въпрос за fgrlx- модула и по-точно нещо с dependencies !!!
Инсталирах последните драйвъри на AMD за АТI Radeon HD 3400 и всичко работи перфектно (никога съм нямал проблеми с драйвърите на видеото), обаче когато тръгна да инсталирам/ъпдейтвам нещо и постоянно излиза една и съща грешка когато apt започне инсталация на който и да е пакет :

Код:
Loading new fglrx-8.723.1 DKMS files...
Building only for 2.6.35-020635-generic
Building for architecture amd64
Building initial module for 2.6.35-020635-generic

Error! Bad return status for module build on kernel: 2.6.35-020635-generic (amd64)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg: error processing fglrx (--configure):
 subprocess installed post-installation script returned error exit status 10
dpkg: dependency problems prevent configuration of fglrx-amdcccle:
 fglrx-amdcccle depends on fglrx; however:
  Package fglrx is not configured yet.
dpkg: error processing fglrx-amdcccle (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.

dmesg / lspci - всичко е ОК.
fgl_glxgears
Код:
fgl_glxgears
Using GLX_SGIX_pbuffer
3930 frames in 5.0 seconds = 786.000 FPS
3871 frames in 5.0 seconds = 774.200 FPS
3931 frames in 5.0 seconds = 786.200 FPS

compiz работи, 3D игри - вървят, изобщо всичко е ОК, но постоянно ми излиза тоя report .
Някой има ли идеи как да оправя тази грешка ?!? ???

Сега погледнах /var/lib/dkms/fglrx/8.723.1/build $ cat make.log
DKMS make.log for fglrx-8.723.1 for kernel 2.6.35-020635-generic (amd64)
Fri Aug  6 20:20:19 EEST 2010
AMD kernel module generator version 2.1
cat: /lib/modules/2.6.35-020635-generic/build/include/linux/utsrelease.h: No such file or directory
Error:
kernel includes at /lib/modules/2.6.35-020635-generic/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.35-020635-generic".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux

Как/къде да оправя тия symlinks ???
« Последна редакция: Авг 31, 2010, 12:58 от kalinik »
Активен

kalinik

  • Участник
  • *****
  • Публикации: 539
  • Distribution: LMDE x64 2012/ LM 14 x64
  • Window Manager: Mate / KDE
  • ID user #521433
    • Профил
Re: Проблем с модул LINUX MINT 9
« Отговор #1 -: Авг 28, 2010, 20:36 »
Самооправих си проблема  8)
Решението било много просто (и тъпо от моя страна) - изтрих драйвъра на Аti и от /lib/modules/linux* , после деинстал и инсталирах новия от сайта на AMD с прекомпилация  --buildpkg Ubuntu/lucid ... и всичко е ОК. Даже сложих и новото ядро 2.6.35.4 и драйвъра се зареди и в двата kernel-а.
Пуснах за всеки случай и apt check ... и всичко си е наред отново.
 [_]3

ПП: Новото ядро 2.6.35.4 ми изглежда доста добре - супер бързо зарежда, после усещам ОЧЕВАДНО по-бързо стартиране на startup процесите и като цяло много разтоварена работа на процесора. И поддръжката на безжичната Atheros вече е перфектно - няма никакви проблеми с мрежата вече цял ден.
 [_]3
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
Nvidia i Linux Mint
Настройка на хардуер
aL_5 3 2149 Последна публикация Дек 07, 2008, 19:31
от aL_5
Linux Mint, постоянен шум
Хардуерни и софтуерни проблеми
ychakarov 7 4535 Последна публикация Мар 03, 2009, 23:05
от neter
Относно Linux Mint
Настройка на програми
bad_fentazy 4 3362 Последна публикация Яну 05, 2010, 00:29
от bop_bop_mara
Относно Skype на Linux Mint
Настройка на програми
bad_fentazy 115 13816 Последна публикация Мар 12, 2015, 15:12
от bvbfan
WoW и Linux Mint
Настройка на програми
mind_exploit 2 2983 Последна публикация Авг 31, 2010, 17:41
от mind_exploit